<mamecheat version="1">

  <cheat desc="Infinite Main Time">
    <script state="run">
      <action>maincpu.pw@080D2=9999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>cart.pb@000AB=09</action>
      <action>cart.pb@000B1=FA</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>cart.pb@000A5=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>cart.pb@00080=10</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>cart.pb@00068=02</action>
    </script>
  </cheat>

  <cheat desc="Untouchable"> <comment>ROM Hack, GG=ATOKOXGG</comment>
    <script state="on">
      <action>temp0 =cart.mb@4CA19</action>
    </script>
    <script state="run">
      <action>cart.mb@4CA19=60</action>
    </script>
    <script state="off">
      <action>cart.mb@4CA19=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Start Every Life with 2 Shadow Ninjas"> <comment>ROM Hack, GG=YAOIYOPE</comment>
    <script state="on">
      <action>temp0 =cart.mb@4D117</action>
    </script>
    <script state="run">
      <action>cart.mb@4D117=0F</action>
    </script>
    <script state="off">
      <action>cart.mb@4D117=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
